Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
PCSX2 crashes when loading ISO on Fedora
#1
Hi guys,

I have installed pcsx2 on my Fedora 24.

I have selected all the plugins, then tried to load an ISO file but at that moment it crashes, giving me the following message:


Quote:/builddir/build/BUILD/pcsx2-1.4/common/src/Utilities/Linux/LnxHostSys.cpp(64) : assertion failed:
    Function:  void SysPageFaultSignalFilter(int, siginfo_t*, void*)
    Thread:    EE Core
    Condition: false
    Message:   Unhandled page fault @ 0x00000001

Stacktrace:

I have searched for this and have not found much useful information.. I only read that you can try selecting dev9 null plugin (I already have that one selected). Also they said that it must be an incorrect gpu driver selected, but I have no idea how to check and fix it. I have got installed my nvidia accelerated graphic drivers for linux on my Fedora. I manually installed them when I was using the OS the first time.

So, I do not know if I have to modify any pcsx2 or GSdx plugin settings in order to point to the correct graphic driver... and/or anything else.

P.S: When I run the pcsx from the terminal, I get this:

Code:
[nicolas@fedorin ~]$ PCSX2

(PCSX2:26312): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «adwaita»,

(PCSX2:26312): Gtk-WARNING **: Imposible encontrar el motor de temas en la ruta al _modulo: «adwaita»,
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
Warning: Mismatch between the program and library build versions detected.
The library used 2.8 (no debug,Unicode,compiler with C++ ABI 1010,wx containers,compatible with 2.4,compatible with 2.6),
and your program used 2.8 (no debug,Unicode,compiler with C++ ABI 1009,wx containers,compatible with 2.4,compatible with 2.6).
Interface is initializing.  Entering Pcsx2App::OnInit!
Applying operating system default language...
Loading language translation databases for 'Spanish' [es_ES]
Command line parsing...
Command line parsed!
Trace/breakpoint trap (`core' generado)
[nicolas@fedorin ~]$ 

Any clues?

Thanks in advance for your help!

-Nicolas
Reply

Sponsored links

#2
How did you install PCSX2?
Reply
#3
Hi gregory,

I installed it downloading the rpm file posted here: http://forums.pcsx2.net/Thread-PCSX2-for...ght=fedora

So, after downloading it I run:

tar -xvf pcsx2-1.4-1.fc23.i686.rpm.tar.gz
dnf install pcsx2-1.4-1.fc23.i686.rpm

I know this is for Fedora 23 but I was not able to find the version or Fedora 24.

I first tried downloading the binaries from the PCSX2 official website: http://pcsx2.net/download/releases/linux.html

But as I had no luck making the install and running the executable, I went to the step detailed above for Fedora 23.
Reply
#4
running fedora 23 binary on f24 won't work. Sorry, maybe you can ask someone on the thread to build a new version or maybe your distribution package. Maybe PCSX2 is included.
Reply
#5
Thanks for your reply!

Yeah I tried installing it using the RPMFusion repo but it was not there. It may be what you said, that there is not a package for Fedora 24 yet.

Okay, I will wait for other replies to see if someone has the chance to build a package that supports Fedora 24.

Thanks again,
Nicolas
Reply




Users browsing this thread: 1 Guest(s)